Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - t -

- t : cparse_params
- table : code_page_table , force_finalize_list
- tag : rb_thread_struct , rb_vm_tag , yaml_event_s , yaml_node_s , yaml_token_s
- tag_data : yaml_emitter_s
- tag_directive : yaml_token_s
- tag_directives : yaml_document_s , yaml_emitter_s , yaml_event_s , yaml_parser_s
- tail : st_table , yaml_emitter_s , yaml_parser_s
- tailcall_optimization : rb_compile_option_struct
- target : AnchorNode , CallNode , EncloseNode , join_arg , QtfrNode , UnsetAddr
- target_empty_info : QtfrNode
- target_enc : OnigCompileInfo
- target_th : rb_tp_struct
- tbl : clone_const_arg , equal_data , foreach_safe_arg , method_table_wrapper , rehash_arg , RNode , vtable
- tc : rb_econv_elem_t
- th : copy_stream_struct , PepperInstance , rb_debug_inspector_struct , rb_mutex_struct , rb_postponed_job_struct , rb_thread_list_struct , rb_trace_arg_struct , waiting_delete
- thgroup : rb_thread_struct
- thgroup_default : rb_vm_struct
- thr_crit_bup : evloop_params
- thread : autoload_data_i , call_queue , eval_queue , invoke_queue , th_update_param , th_vwait_param
- thread_abort_on_exception : rb_vm_struct
- thread_destruct_lock : rb_vm_struct
- thread_id : rb_thread_struct
- thread_machine_stack_size : rb_vm_struct
- thread_vm_stack_size : rb_vm_struct
- threshold_len : re_pattern_buffer
- tied_io_for_writing : rb_io_t
- timeout : select_args , sleep_call
- timew : time_object
- tm_got : time_object
- tms_cstime : tms
- tms_cutime : tms
- tms_stime : tms
- tms_utime : tms
- to : OnigPairCaseFoldCodes , rsock_send_arg
- to_kill : rb_thread_struct
- token : token_assoc , token_info
- token_available : yaml_parser_s
- token_number : yaml_simple_key_s
- token_table : cparse_params
- tokens : yaml_parser_s
- tokens_parsed : yaml_parser_s
- tolen : rsock_send_arg
- tomb_heap : rb_objspace
- top : yaml_document_s , yaml_emitter_s , yaml_node_s , yaml_parser_s
- top_self : rb_thread_struct , rb_vm_struct
- top_wrapper : rb_thread_struct
- total : copy_stream_struct , total_data
- total_allocated_object_num : rb_objspace
- total_allocated_object_num_at_gc_start : rb_objspace
- total_freed_object_num : rb_objspace
- total_slots : rb_heap_struct
- trace : global_variable , trace_data
- trace_arg : rb_thread_struct
- trace_instruction : rb_compile_option_struct
- trace_running : rb_vm_struct
- tracing : rb_tp_struct
- track : fc_result
- transcoder : rb_transcoding , transcoder_entry_t
- transfered : rb_fiber_struct
- trap_list : rb_vm_struct
- tsp : utime_args
- tstack : cparse_params
- tv : select_args
- tv_nsec : timespec
- tv_sec : timespec , timeval
- tv_usec : timeval
- type : _OnigStackType , AnchorNode , cbsubst_info , cfunc_data , dump_config , EncloseNode , glob_pattern , inetsock_arg , iseq_catch_table_entry , iseq_link_element , loaded_feature_searching , NodeBase , OnigToken , rb_backtrace_location_struct , rb_context_struct , rb_iseq_struct , rb_method_definition_struct , RTypedData , st_table , type_cclass_key , yaml_event_s , yaml_node_s , yaml_token_s
- typed_flag : RTypedData
- typeddata : RVALUE
- tz_dsttime : timezone
- tz_minuteswest : timezone